function [x] = UnitCircleDomain(Demand,Arg)
  BdBox = [-1 1 -1 1];
  switch(Demand)
    case('Dist');  x = DistFnc(Arg,BdBox);
    case('BC');    x = BndryCnds(Arg,BdBox);
    case('BdBox'); x = BdBox;
  end
%----------------------------------------------- COMPUTE DISTANCE FUNCTIONS
function Dist = DistFnc(P,BdBox)
  Dist = dCircle(P,0,0,1);
%---------------------------------------------- SPECIFY BOUNDARY CONDITIONS
function [x] = BndryCnds(Node,BdBox)
  x = {[],[]};
%-------------------------------------------------------------------------%